# frozen_string_literal: true

require_relative 'lib/nt/fingerprint/version'

Gem::Specification.new do |spec|
  spec.name          = 'nt-fingerprint'
  spec.version       = Nt::Fingerprint::VERSION
  spec.authors       = ['Nayuta Yanagisawa']
  spec.email         = ['nayuta.yanagisawa@hey.com']

  spec.summary       = 'nt-fingerprint convert queries into fingerprints.'
  spec.description   = spec.summary
  spec.licenses      = ['BSD-3-Clause']
  spec.homepage      = 'https://github.com/nayuta-yanagisawa/nt-fingerprint'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.5.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage
  spec.metadata['changelog_uri'] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'ffi', '>= 1.9.24'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rubocop'
end
